Subject: Re: checkout extra files

From: [email-masked] (Carlos Martín Nieto)
Date: Mon, 03 Sep 2012 16:47:54 +0200

Angelo Borsotti <[email-masked]> writes:

[please keep it in the list]

> Hi Carlos,
>
> the behavior is quite clear, but the man pages do not describe it properly.
> The man pages state:
>
>     "It updates the named paths in the working tree from the index file or
>     from a named <tree-ish> ...".
>
> In my example, the "named paths in the working tree" is '*', which
> denotes

That grouping is not what it's saying. It doesn't update the files that
exist in the working tree matching some glob. It updates the files in
the working tree from either the index or a treeish. The pathspec
refers, as always, to the data source, and '*' matches all files.

It puts the named paths on to the working tree. Is that clearer?

> no files. So, the man pages are telling that the command updates nothing.
> The man pages should state that it copies from the index file of the names
> <tree-ish> the files that match the names paths and that are not present
> in the working tree.

Whether they are missing doesn't make any difference. It updates the
files you tell it from the index/tree. You told it to update all of
them.

   cmn